
/* Chrysalide - Outil d'analyse de fichiers binaires
 * debugger.h - prototypes pour les instances Python de débogueurs
 *
 * Copyright (C) 2012 Cyrille Bagard
 *
 *  This file is part of Chrysalide.
 *
 *  Chrysalide is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Chrysalide is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


#ifndef _PLUGINS_PYOIDA_DEBUG_DEBUGGER_H
#define _PLUGINS_PYOIDA_DEBUG_DEBUGGER_H


#include <Python.h>
#include <stdbool.h>

#if 0
#include <debug/debugger.h>



/* Crée un nouvel objet Python de type 'BinaryDebugger'. */
PyObject *py_binary_debugger_from_c(GBinaryDebugger *debugger);

/* Ajoute l'objet 'pychrysalide.debug.BinaryDebugger' au module. */
bool register_python_binary_debugger(PyObject *);
#endif


#endif  /* _PLUGINS_PYOIDA_DEBUG_DEBUGGER_H */
